const blocks = (extFacePanels) => ([{
        "opcode": "BLOCK_1638042542033",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "TX": {
                "type": "number",
                "defaultValue": 10
            },
            "RX": {
                "type": "number",
                "defaultValue": 11
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "sections": {
                    "lib": `SoftwareSerial btSerial(/*{TX}*/,/*{RX}*/);\r\n\r`
                }
            }
        },
        "handler": this.funcs.BLOCK_1638042542033
    },
    {
        "opcode": "BLOCK_1638040138199",
        "blockType": "command",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `x = btSerial.read();`,
                "sections": {
                    "declare": `char x='a';`,
                    "setup": `Serial.begin(115200);\r\n   btSerial.begin(9600);`
                }
            }
        },
        "handler": this.funcs.BLOCK_1638040138199
    },
    {
        "opcode": "BLOCK_1638042873371",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {},
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `btSerial.available() > 0 `,
                "sections": {
                    "lib": "\r\n\r\n"
                }
            }
        },
        "handler": this.funcs.BLOCK_1638042873371
    },
    {
        "opcode": "BLOCK_1638043382887",
        "blockType": "boolean",
        "checkboxInFlyout": false,
        "hidden": false,
        "gap": 12,
        "arguments": {
            "input_char": {
                "type": "inputMenu",
                "defaultValue": "A",
                "menu": "BLOCK_1638043382887_INPUT_CHAR"
            }
        },
        "branchCount": 0,
        "platform": [
            "mblockpc",
            "mblockweb"
        ],
        "codes": {
            "arduinoc": {
                "code": `x == '/*{input_char}*/'`,
                "sections": {
                    "lib": "\r\n\r\n"
                }
            }
        },
        "handler": this.funcs.BLOCK_1638043382887
    }
]);

export default blocks;